Bug 637053 - bootstrap ghc for EPEL
Summary: bootstrap ghc for EPEL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-24 06:51 UTC by Jens Petersen
Modified: 2010-10-26 18:02 UTC (History)
4 users (show)

Fixed In Version: ghc-6.8.3-12.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-29 03:55:01 UTC
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jens Petersen 2010-09-24 06:51:04 UTC
Description of problem:
This bug is to request and track porting the ghc package to EPEL-6.

Comment 1 Jens Petersen 2010-09-24 06:58:00 UTC
Package Change Request
======================
Package Name: ghc
New Branches: el6
Owners: petersen
InitialCC: haskell-sig

Comment 2 Kevin Fenzi 2010-09-25 05:07:25 UTC
Git done (by process-git-requests).

Comment 3 Jens Petersen 2010-09-27 06:02:38 UTC
ghc-6.10.4 is built for i686 and x86_64:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2490943

Comment 4 Jens Petersen 2010-09-27 23:54:39 UTC
So much fun so I decided to do it for epel5 too!


Package Change Request
======================
Package Name: ghc
New Branches: el5
Owners: petersen
InitialCC: haskell-sig

Comment 5 Kevin Fenzi 2010-09-28 04:48:06 UTC
Git done (by process-git-requests).

Comment 6 Jens Petersen 2010-09-29 03:55:01 UTC
Bootstrapping from Fedora done.

Plan is ghc-6.12.3 for el6 and 6.10.4 for el5.

Comment 7 Fedora Update System 2010-09-30 09:27:29 UTC
ghc-6.10.4-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ghc-6.10.4-3.el5

Comment 8 Jens Petersen 2010-10-01 02:09:21 UTC
Sorry to do this in stages...


Package Change Request
======================
Package Name: ghc
New Branches: el4
Owners: petersen
InitialCC: haskell-sig

Comment 9 Kevin Fenzi 2010-10-03 20:34:26 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2010-10-05 06:05:51 UTC
ghc-6.8.3-12.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/ghc-6.8.3-12.el4

Comment 11 Fedora Update System 2010-10-26 18:01:03 UTC
ghc-6.10.4-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-10-26 18:02:06 UTC
ghc-6.8.3-12.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.